<nav class="navbar navbar-expand-lg navbar-dark bg-primary" id="navAnchor">
    <a class="navbar-brand mb-1" href="{{ path('accueil') }}">Simplon Gear</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor01"
        aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarColor01">
        <ul class="navbar-nav mr-auto align-items-center">
            <li class="nav-item active pr-2">
                <a class="nav-link" href="{{ path('accueil') }}">Accueil<span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item active pr-2">
                <a class="nav-link" href="{{ path('all-articles', {'sort': 'ASC'}) }}">Browse</a>
            </li>
            <li class="nav-item pr-3">
                <div class="btn-group" role="group" aria-label="Button group with nested dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" aria-haspopup="true"
                        aria-expanded="false" style="color:white; outline: none;text-decoration:none">Owners</a>
                    <div class="btn-group" role="group">
                        </a>
                        <div class="dropdown-menu" aria-labelledby="btnGroupDrop1">
                            <a class="dropdown-item" href="{{ path('all-articles', {'owner': 2}) }}">Jean</a>
                            <a class="dropdown-item"
                                href="{{ path('all-articles', {'owner': 3}) }}">Pauline</a>
                            <a class="dropdown-item" href="{{ path('all-articles', {'owner': 1}) }}">Pierre</a>
                        </div>
                    </div>
                </div>
            </li>
            <li class="nav-item pr-2">
                <div class="btn-group" role="group" aria-label="Button group with nested dropdown">
                    <a href="#" class="dropdown-toggle pr-1" style="color:white;outline:none;text-decoration:none"
                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Categories</a>
                    <div class="btn-group" role="group">

                        <div class="dropdown-menu" aria-labelledby="btnGroupDrop1">
                            <a class="dropdown-item" href="{{ path('all-articles', {'category': 1}) }}">Vetements</a>
                            <a class="dropdown-item" href="{{ path('all-articles', {'category': 2}) }}">Accessoires</a>
                            <a class="dropdown-item" href="{{ path('all-articles', {'category': 3}) }}">Goodies</a>
                        </div>
                    </div>
                </div>
            </li>
        </ul>
        <ul class="navbar-nav mr align-items-center">
            <li class="nav-item pr-2 mb-1">
                <form class="form-inline my-2 my-lg-0" action="{{ path('search_article') }}">
                    <input class="form-control mr-sm-2" type="text" placeholder="Search" name="search">
                    <button class="btn my-2 my-sm-0" id="search" type="submit"><i class="fas fa-search"
                            style="color:white"></i></button>
                </form>
            </li>
            {% if app.user %}
                {% if is_granted('ROLE_ADMIN') %}
                    <li class="nav-item">
                        <a class="nav-link" href="{{ path('admin') }}"><strong><i class="fas fa-user-cog"></i>
                                Admin</strong></a>
                    </li>
                {% endif %}
                <li class="nav-item">
                    <a class="nav-link" href="{{ path('user') }}">{{app.user.name}} {{app.user.surname}}</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{path('display_cart')}}"><i class="fas fa-shopping-cart"></i>
                        {% if app.user.cartArticles|length > 0 %}
                            <span class="badge badge-pill badge-light">{{app.user.cartArticles|length}}</span>                            
                        {% endif %}
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ path('logout') }}"><i class="fas fa-power-off fa-lg"></i></a>
                </li>
            {% else %}
                <li class="nav-item">
                    <a class="nav-link" href="{{ path('register') }}">Register</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ path('login') }}">login</a>
                </li>
            {% endif %}

        </ul>
    </div>
</nav>